GET /food/{fdcId}
Summary: Get food details by FDC ID
Operation ID: getFoodByFdcId
Auth: unknown
Operation ID: getFoodByFdcId
Auth: unknown
Description
Fetches detailed information for a single food item by its FDC ID, including nutrient data.
Parameters (3)
api_key
(string, query, required)
Your API key. Use DEMO_KEY for testing.
fdcId
(integer, path, required)
The FDC ID of the food item to retrieve
nutrients
(array, query, optional)
Optional list of nutrient IDs to filter the response
Examples (3)
| Title | Type | URL | Action |
|---|---|---|---|
| Get food details for an apple | curl |
https://api.nal.usda.gov/fdc/v1/food/168917?api_key=DEMO_KEY |
|
| Get food details with specific nutrients filter | curl |
https://api.nal.usda.gov/fdc/v1/food/171444?api_key=DEMO_KEY&nutrients=203&nutrients=204&nutrients=205 |
|
| Get food details for raw chicken breast | curl |
https://api.nal.usda.gov/fdc/v1/food/171444?api_key=DEMO_KEY |
Probe History
Status Codes
| Time | Status | Latency | Size |
|---|---|---|---|
| 2026-03-23 10:52:21.188429 | 200 | 1607ms | |
| 2026-03-23 10:13:11.211887 | 200 | 6022ms | |
| 2026-03-23 09:29:32.804944 | 200 | 8292ms |
Response Changes
| When | Old | New |
|---|---|---|
| 2026-03-23 10:13:11.211887 | a7a6faf90153 |
a296623da70d |
| 2026-03-23 10:52:21.188429 | a296623da70d |
327135d2954a |